<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_03_utility() */
/* タブのスラグ haumenu_define_tab_slug_03_utility() */
/* $option_name 設定名 haumenu_define_option_name_03_utility() */
/* get_option GetOP03_utility() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_03_utility( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_utility';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_03_utility();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		//$set_name . 'enable-set-revisions' => array(
			//'.set-revisions-num-wrapper', // リビジョン数
			//'.set-revisions-posttype-wrapper', // 指定する投稿タイプ
		//),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_03_utility', 20 );

/*** 一覧のタイトルを広げる ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_admin_list_title400(){
//項目の追加
	add_settings_field(
		'admin-list-title400', // 設定名
		__('Widen the Title','hima-art-utility'), // 設定タイトル
		'haumenu_admin_list_title400', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_03_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_admin_list_title400' );

/* 入力フォーム */
function haumenu_admin_list_title400() {
	$set_name = haumenu_define_option_name_03_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'admin-list-title400'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Forcibly expand the title column in the list of management screens to 400px to make it easier to see','hima-art-utility'); ?></p>
</label>
<?php
}

/*** 更新日列を表示 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_admin_mdate_column(){
//項目の追加
	add_settings_field(
		'add-admin-mdate-column', // 設定名
		__('Show modified date column','hima-art-utility'), // 設定タイトル
		'haumenu_add_admin_mdate_column', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_03_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_add_admin_mdate_column' );

/* 入力フォーム */
function haumenu_add_admin_mdate_column() {
	$set_name = haumenu_define_option_name_03_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'add-admin-mdate-column'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Display the column of the last update date in a sortable form in the list of posts and pages','hima-art-utility'); ?></p>
</label>
<?php
}

/*** 管理画面の一覧を更新日順で表示 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_admin_list_asc_moddate(){
//項目の追加
	add_settings_field(
		'admin-list-asc-moddate', // 設定名
		__('Display list by update date','hima-art-utility'), // 設定タイトル
		'haumenu_admin_list_asc_moddate', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_03_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_admin_list_asc_moddate' );

/* 入力フォーム */
function haumenu_admin_list_asc_moddate() {
	$set_name = haumenu_define_option_name_03_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'admin-list-asc-moddate'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Displays a list of posts and static pages in the admin panel, sorted by last update date.','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk">
	<span><?php esc_html_e('If you want to sort the front-end list by update date, enable "Output list by update date" in "Basic function control".','hima-art-utility'); ?></span>
<br>
	<span style="color:red;font-weight:700;"><?php esc_html_e('Please note that enabling this option will force the list to be sorted by last modified date and will not allow any other sorting.','hima-art-utility'); ?></span>
</p>
<?php echo wp_kses_post(haup_usage_info_haup_admin_postlist_order_filter()); ?>
<?php
}

/* クイック編集クリック時に画面上部へ遷移しないようにする */
/* 項目の追加とデータの更新 */
function haumenu_init_field_disable_quick_edit_move_top(){
//項目の追加
	add_settings_field(
		'disable-quick-edit-move-top', // 設定名
		__('Suppress screen movement when clicking Quick Edit','hima-art-utility'), // 設定タイトル
		'haumenu_disable_quick_edit_move_top', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_03_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_disable_quick_edit_move_top' );

/* 入力フォーム */
function haumenu_disable_quick_edit_move_top() {
	$set_name = haumenu_define_option_name_03_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'disable-quick-edit-move-top'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('When you click "Quick Edit" in the list, it will prevent you from scrolling to the top of the screen, allowing you to edit detailed information without scrolling.','hima-art-utility'); ?></p>
</label>
<?php
}


/*** コメントの有効／無効を表示 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_is_opened_comment(){
//項目の追加
	add_settings_field(
		'is-opened-comment', // 設定名
		__('Show Comment Enebled column','hima-art-utility'), // 設定タイトル
		'haumenu_is_opened_comment', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_03_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_is_opened_comment' );

/* 入力フォーム */
function haumenu_is_opened_comment() {
	$set_name = haumenu_define_option_name_03_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'is-opened-comment'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Shows whether comments are enabled in the list of posts and pages','hima-art-utility'); ?></p>
</label>
<?php
}

/*** パターンメニューを表示 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_reuse_block_menu_link(){
//項目の追加
	add_settings_field(
		'reuse-block-menu-link', // 設定名
		__('Show Pattern Menu','hima-art-utility'), // 設定タイトル
		'haumenu_reuse_block_menu_link', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_03_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_reuse_block_menu_link' );

/* 入力フォーム */
function haumenu_reuse_block_menu_link() {
	$set_name = haumenu_define_option_name_03_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'reuse-block-menu-link'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('A link to the reusable block list is displayed in the main menu on the left side of the management screen.','hima-art-utility'); ?></p>
</label>
<?php
}

/*** パターンの同期／非同期を表示 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_pattern_sync_status_column(){
//項目の追加
	add_settings_field(
		'pattern-sync-status-column', // 設定名
		__('Show Pattern Status Column','hima-art-utility'), // 設定タイトル
		'haumenu_pattern_sync_status_column', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_03_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_pattern_sync_status_column' );


/* 入力フォーム */
function haumenu_pattern_sync_status_column() {
	$set_name = haumenu_define_option_name_03_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'pattern-sync-status-column'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Display synchronous/asynchronous status in pattern list','hima-art-utility'); ?></p>
</label>
<?php
}



/*** ソース編集画面の文字拡大 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_code_mirror_font_expansion(){
//項目の追加
	add_settings_field(
		'code-mirror-font-expansion', // 設定名
		__('Make code editor text bigger','hima-art-utility'), // 設定タイトル
		'haumenu_code_mirror_font_expansion', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_03_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_code_mirror_font_expansion' );

/* 入力フォーム */
function haumenu_code_mirror_font_expansion() {
	$set_name = haumenu_define_option_name_03_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'code-mirror-font-expansion'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Enlarge the text on the plugin editor and theme file editor screens to make them easier to see','hima-art-utility'); ?></p>
</label>
<?php
}

/*** 一覧へid表示 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_show_admin_list_id(){
//項目の追加
	add_settings_field(
		'show-admin-list-id', // 設定名
		__('Display the ID in the management screen list','hima-art-utility'), // 設定タイトル
		'haumenu_show_admin_list_id', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_03_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_show_admin_list_id' );

/* 入力フォーム */
function haumenu_show_admin_list_id() {
	$set_name = haumenu_define_option_name_03_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'show-admin-list-id'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('The ID is displayed on posts, fixed pages, media, tags, categories, and user lists on the management screen.','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('Even if the function is enabled, you can always hide it from "Display option" at the top right of each list','hima-art-utility'); ?></p>
<?php
}

/*** 一覧へスラグ表示 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_show_admin_list_slug(){
//項目の追加
	add_settings_field(
		'show-admin-list-slug', // 設定名
		__('Display the Slug in the management screen list','hima-art-utility'), // 設定タイトル
		'haumenu_show_admin_list_slug', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_03_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_show_admin_list_slug' );

/* 入力フォーム */
function haumenu_show_admin_list_slug() {
	$set_name = haumenu_define_option_name_03_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'show-admin-list-slug'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('The Slug is displayed on posts, fixed pages on the management screen.','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('Even if the function is enabled, you can always hide it from "Display option" at the top right of each list','hima-art-utility'); ?></p>
<?php
}

/*** 管理画面に「ページ上部へ戻る」ボタンを表示 ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_admin_page_top_scroll(){
//項目の追加
	add_settings_field(
		'admin-page-top-scroll', // 設定名
		__('Added "Return to top of screen" function','hima-art-utility'), // 設定タイトル
		'haumenu_add_admin_page_top_scroll', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_03_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_03_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_add_admin_page_top_scroll' );

/* 入力フォーム */
function haumenu_add_admin_page_top_scroll() {
	$set_name = haumenu_define_option_name_03_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'admin-page-top-scroll'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Display a "Return to top of screen" button at the bottom right of each page of the admin screen, and click it to transition to the top of the screen.','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk"><?php esc_html_e('The button is not displayed in the "Block Editor" and "Site Editor" because the function is not required.','hima-art-utility'); ?></p>
<?php
}